#############################################################################################
#############################################################################################
##
## SERVER CONAN
##
#############################################################################################
#############################################################################################

CONAN_BIN            ?= $(VENDOR_PATH)conan
CONAN_CONFIG         ?= $(VENDOR_PATH)conan.conf

$(CONAN_BIN):
	$(QUIET) $(MKDIR) -p $(VENDOR_PATH)
	$(QUIET) $(WGET) -O $(CONAN_BIN) http://download.schukai.com/tools/conan/conan-$(shell uname -s | tr [:upper:] [:lower:])-$(shell echo `uname -m | sed s/aarch64/arm64/ | sed s/x86_64/amd64/`)
	$(QUIET) $(CHMOD) u+x $(CONAN_BIN)

.PHONY: run-conan
## run conan webserver
run-conan: $(CONAN_BIN) 
	$(QUIET) $(CONAN_BIN) server serve --config $(CONAN_CONFIG)

