#############################################################################################
#############################################################################################
##
## NPM
##
#############################################################################################
#############################################################################################

.PHONY: npm-publish-major
## release major version of package
npm-publish-major: node-test
	$(ECHOMARKER) "release major version"
	$(QUIET) $(MAKE) next-major-version
	$(QUIET) $(MAKE) node-build
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run publish

.PHONY: npm-publish-minor
## release minor version of package
npm-publish-minor: node-test
	$(ECHOMARKER) "release minor version"
	$(QUIET) $(MAKE) next-minor-version
	$(QUIET) $(MAKE) node-build
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run publish

.PHONY: npm-publish-patch
## release patch version of package
npm-publish-patch: node-test
	$(ECHOMARKER) "release patch version"
	$(QUIET) $(MAKE) next-patch-version
	$(QUIET) $(MAKE) node-build
	$(QUIET) $(NPM) --prefix $(NODE_ROOT_DIR) run publish

